Skip to main content

Updates a tenant

PUT 

https://apis.<domain>/iam/tenants/:id

Updates the name of an existing tenant.

Authorization Action:

iam:tenants:update

Request

Path Parameters

    id stringrequired

    Unique ID. Cannot be changed.

Bodyrequired

    namestringrequired

    Name for the tenant.

Responses

A successful response.

Schema
    tenant object
    namestring

    Name for the tenant.

    idstring

    Unique ID. Cannot be changed.

    typecompiuta.api.iam.v2.Type (string)

    Possible values: [COMPIUTA_MANAGED, CUSTOM]

    Default value: COMPIUTA_MANAGED
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Put, "https://apis.<domain>/iam/tenants/:id");
request.Headers.Add("Accept", "application/json");
var content = new StringContent("{\n \"name\": \"My Custom Tenant\"\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Request Collapse all
Base URL
https://apis.<domain>
Parameters
— pathrequired
Body required
{
  "name": "My Custom Tenant"
}